# PHTTPConfig Class Reference

`#include <httpform.h>`

Inheritance diagram for PHTTPConfig:

List of all members.

## Public Member Functions

| PHTTPConfig (const PURL &url, const PString &section)
| PHTTPConfig (const PURL &url, const PString &section, const PHTTPAuthority &auth)
| PHTTPConfig (const PURL &url, const PString &section, const PString &html)
| PHTTPConfig (const PURL &url, const PString &section, const PString &html, const PHTTPAuthority &auth)
virtual void | OnLoadedText (PHTTPRequest &request, PString &text)
| This is called after the text has been loaded and may be used to customise or otherwise mangle a loaded piece of text.
virtual PBoolean | Post (PHTTPRequest &request, const PStringToString &data, PHTML &replyMessage)
| Get a block of data (eg HTML) that the resource contains.
void | LoadFromConfig ()
| Load all of the values for the resource from the configuration.
const PString & | GetConfigSection () const
| Get the configuration file section that the page will alter.
void | SetConfigSection (const PString &sect)
PHTTPField * | AddSectionField (PHTTPField *sectionFld, const char *prefix=NULL, const char *suffix=NULL)
| Add a field that will determine the name opf the secontion into which the other fields are to be added as keys.
void | AddNewKeyFields (PHTTPField *keyFld, PHTTPField *valFld)
| Add fields to the HTTP form for adding a new key to the config file section.

## Protected Attributes

PString | section
PString | sectionPrefix
PString | sectionSuffix
PHTTPField * | sectionField
PHTTPField * | keyField
PHTTPField * | valField

## Constructor & Destructor Documentation

PHTTPConfig::PHTTPConfig | ( | const PURL & | url,
|  | const PString & | section |
| ) |  |  |

PHTTPConfig::PHTTPConfig | ( | const PURL & | url,
|  | const PString & | section,
|  | const PHTTPAuthority & | auth |
| ) |  |  |

PHTTPConfig::PHTTPConfig | ( | const PURL & | url,
|  | const PString & | section,
|  | const PString & | html |
| ) |  |  |

PHTTPConfig::PHTTPConfig | ( | const PURL & | url,
|  | const PString & | section,
|  | const PString & | html,
|  | const PHTTPAuthority & | auth |
| ) |  |  |

## Member Function Documentation

void PHTTPConfig::AddNewKeyFields | ( | PHTTPField * | keyFld,
|  | PHTTPField * | valFld |
| ) |  |  |

Add fields to the HTTP form for adding a new key to the config file section.

Parameters:

  keyFld | Field for the key to be added.
  valFld | Field for the value of the key yto be added.

PHTTPField* PHTTPConfig::AddSectionField | ( | PHTTPField * | sectionFld,
|  | const char * | prefix = `NULL`,
|  | const char * | suffix = `NULL` |
| ) |  |  |

Add a field that will determine the name opf the secontion into which the other fields are to be added as keys.

The section is not created and and error generated if the section already exists.

Parameters:

  sectionFld | Field to set as the section name
  prefix | String to attach before the field value
  suffix | String to attach after the field value

const PString& PHTTPConfig::GetConfigSection | ( |  | ) | const`[inline]`

Get the configuration file section that the page will alter.

Returns:
  String for config file section.

void PHTTPConfig::LoadFromConfig | ( |  | ) |

Load all of the values for the resource from the configuration.

virtual void PHTTPConfig::OnLoadedText | ( | PHTTPRequest & | request,
|  | PString & | text |
| ) |  |  | `[virtual]`

This is called after the text has been loaded and may be used to customise or otherwise mangle a loaded piece of text.

Typically this is used with HTML responses.

The default action for this function is to do nothing.

Parameters:

  request | Information on this request.
  text | Data used in reply.

Reimplemented from PHTTPForm.

Reimplemented in PConfigPage, and PRegisterPage.

virtual PBoolean PHTTPConfig::Post | ( | PHTTPRequest & | request,
|  | const PStringToString & | data,
|  | PHTML & | replyMessage |
| ) |  |  | `[virtual]`

Get a block of data (eg HTML) that the resource contains.

The default action for this function is to do nothing and return success.

Returns:
  true if the connection may persist, false if the connection must close

Parameters:

  request | Information on this request.
  data | Variables in the POST data.
  replyMessage | Reply message for post.

Reimplemented from PHTTPForm.

Reimplemented in PConfigPage, and PRegisterPage.

void PHTTPConfig::SetConfigSection | ( | const PString & | sect | ) | `[inline]`

Parameters:

  sect | New section for the config page.

## Member Data Documentation

PHTTPField* PHTTPConfig::keyField `[protected]`

PString PHTTPConfig::section `[protected]`

PHTTPField* PHTTPConfig::sectionField `[protected]`

PString PHTTPConfig::sectionPrefix `[protected]`

PString PHTTPConfig::sectionSuffix `[protected]`

PHTTPField* PHTTPConfig::valField `[protected]`

The documentation for this class was generated from the following file:

- httpform.h